%global spirv_headers_version 1.3.246.1

Name:           spirv-llvm-translator
Version:        15.0.0
Release:        1
Summary:        LLVM to SPIRV Translator

License:        NCSA
URL:            https://github.com/KhronosGroup/SPIRV-LLVM-Translator
Source0:        https://github.com/KhronosGroup/SPIRV-LLVM-Translator/archive/refs/tags/SPIRV-LLVM-Translator-%{version}.tar.gz
Source1:        https://github.com/KhronosGroup/SPIRV-Headers/archive/refs/tags/sdk-%{spirv_headers_version}.tar.gz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build
BuildRequires:  llvm-devel
BuildRequires:  llvm-static
BuildRequires:  llvm-test

%description
Khronos LLVM to SPIRV Translator. This is a library
to be used by Mesa for OpenCL support. It translate
LLVM IR to Khronos SPIR-V. It also includes a
standalone tool used for building libclc.

%package devel
Summary: Development files for LLVM to SPIRV Translator
Requires: %{name} = %{version}-%{release}

%description devel
This package contains libraries and header files for
developing against %{name}

%package tools
Summary: Standalone llvm to spirv translator tool
Requires: %{name} = %{version}-%{release}

%description tools
This package contains the standalone llvm to spirv tool.

%prep
%setup -T -q -b 1 -n SPIRV-Headers-sdk-%{spirv_headers_version}
cd ..
mv SPIRV-Headers-sdk-%{spirv_headers_version} SPIRV-Headers
%autosetup -n SPIRV-LLVM-Translator-%{version}

%build
%cmake -GNinja \
       -DLLVM_BUILD_TOOLS=ON \
       -DCMAKE_BUILD_TYPE=RelWithDebInfo \
       -DLLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR=%{_builddir}/SPIRV-Headers \
       -DCMAKE_INSTALL_RPATH:BOOL=";"
%ninja_build
#%cmake_build

%install
%ninja_install
#%cmake_install

%files
%doc README.md
%{_libdir}/libLLVMSPIRVLib.so*

%files tools
%{_bindir}/llvm-spirv

%files devel
%{_includedir}/LLVMSPIRVLib/*
%{_libdir}/libLLVMSPIRVLib.so
%{_libdir}/pkgconfig/LLVMSPIRVLib.pc

%changelog
* Thu Jun 8 2023 cf-zhao <zhaochuanfeng@huawei.com> - 15.0.0-1
- Update to 15.0.0

* Wed Jan 26 2022 chenchen <chen_aka_jan@163.com> - 12.0.0-1
- Package init
